Package org.jfree.report.modules.misc.autotable.xml

# Class AutoTableElementReadHandler

java.lang.Object
org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler
org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler
org.jfree.report.modules.misc.autotable.xml.AutoTableElementReadHandler

All Implemented Interfaces:
  `NodeReadHandler`, `org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`

public class AutoTableElementReadHandler extends AbstractElementReadHandler
Creation-Date: Dec 9, 2006, 5:47:25 PM

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`AutoTableElementReadHandler()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`doneParsing()`
Done parsing.
`protected Element`
`getElement()`
`protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler`
`getHandlerForChild(String uri, String tagName, Attributes atts)`
Returns the handler for a child element.

### Methods inherited from class org.jfree.report.modules.factories.report.flow.AbstractElementReadHandler

`configureElement, getNode, getObject, getStyle, init, isEnabled, startParsing`

### Methods inherited from class org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler

`characters, deriveParseParameters, endElement, getLocator, getRootHandler, getTagName, getUri, isSameNamespace, performExternalParsing, performExternalParsing, startElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler

`characters, endElement, startElement`

## Constructor Details

### AutoTableElementReadHandler

public AutoTableElementReadHandler()

## Method Details

### getElement

protected Element getElement()

Specified by:
  `getElement` in class `AbstractElementReadHandler`

### getHandlerForChild

protected org.pentaho.reporting.libraries.xmlns.parser.XmlReadHandler getHandlerForChild(String uri, String tagName, Attributes atts) throws SAXException
Returns the handler for a child element.

Overrides:
  `getHandlerForChild` in class `AbstractElementReadHandler`
Parameters:
  `tagName` - the tag name.
  `atts` - the attributes.
Returns:
  the handler or null, if the tagname is invalid.
Throws:
  `SAXException` - if there is a parsing error.

### doneParsing

protected void doneParsing() throws SAXException
Done parsing.

Overrides:
  `doneParsing` in class `org.pentaho.reporting.libraries.xmlns.parser.AbstractXmlReadHandler`
Throws:
  `SAXException` - if there is a parsing error.